package org.springblade.third.doordevice.provider;

import org.springblade.core.tool.api.R;
import org.springblade.device.entity.DoorDevice;
import org.springblade.third.doordevice.dto.UserDeviceDTO;

/**
 * @author lidexi
 * @date 2021/5/24 17:09
 */
public interface IDoorDeviceService {

	/**
	 * 新增设备
	 * @param doorDevice
	 * @return
	 */
	R addDevice(DoorDevice doorDevice);

	/**
	 * 删除设备
	 * @param doorDevice
	 * @return
	 */
	R deleteDevice(DoorDevice doorDevice);

	R pushUserToDevices(UserDeviceDTO userDeviceDTO, String serialNum);

	R deleteUserToDevices(UserDeviceDTO userDeviceDTO, String serialNum);

	R remoteOpenDoor(String serialNum, boolean isOpen);
}
